//server-sided mod that allows the function of whether a specific player can use emitters/lights/items, and a limit for how much they can use. that'd be great.
if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
   if(!$RTB::RTBR_ServerControl_Hook)
      exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");
   RTB_registerPref("Admin Requirement","Wrench Limits","$WrenchLimits::AdminReq","list Host 3 SuperAdmin 2 Admin 1 Everyone 0","Script_WrenchLimits","0",0,0);
   RTB_registerPref("Block Emitters","Wrench Limits","$WrenchLimits::BlockEmitter","bool","Script_WrenchLimits","0",0,0);
   RTB_registerPref("Block Lights","Wrench Limits","$WrenchLimits::BlockLight","bool","Script_WrenchLimits","0",0,0);
   RTB_registerPref("Block Items","Wrench Limits","$WrenchLimits::BlockItem","bool","Script_WrenchLimits","0",0,0);
   RTB_registerPref("Block Vehicles","Wrench Limits","$WrenchLimits::BlockVehicle","bool","Script_WrenchLimits","0",0,0);
   RTB_registerPref("Block Music","Wrench Limits","$WrenchLimits::BlockMusic","bool","Script_WrenchLimits","0",0,0);
}
else
{
   $WrenchLimits::AdminReq=0;
   $WrenchLimits::BlockEmitter=0;
   $WrenchLimits::BlockLight=0;
   $WrenchLimits::BlockItem=0;
   $WrenchLimits::BlockVehicle=0;
   $WrenchLimits::BlockMusic=0;
}
if(isPackage(WrenchLimits))
   deactivatepackage(WrenchLimits);
package WrenchLimits
{
   function servercmdSetWrenchData(%client,%tags)
   {
      %brick=%client.wrenchBrick;
      %isAdmin=(%client.isAdmin + %client.isSuperAdmin + (%client.isHost||%client.bl_id==getNumKeyID())) >= $WrenchLimits::AdminReq;
      %emitter=%isAdmin||!$WrenchLimits::BlockEmitter;
      %light=%isAdmin||!$WrenchLimits::BlockLight;
      %item=%isAdmin||!$WrenchLimits::BlockItem;
      %vehicle=%isAdmin||!$WrenchLimits::BlockVehicle;
      %music=%isAdmin||!$WrenchLimits::BlockMusic;
      %iB=isObject(%brick);
      %dBLight=(%ib&&isObject(%brick.light)?%brick.light.getDatablock():0);
      %dBEmitter=(%ib&&isObject(%brick.emitter)?%brick.emitter.getEmitterDatablock():0);
      %dBItem=(%ib&&isObject(%brick.item)?%brick.item.getDatablock():0);
      %dBVehicle=(%ib&&strLen(%brick.vehicleDatablock)?%brick.vehicleDatablock:0);
      %dBAudio=(%ib&&isObject(%brick.AudioEmitter)?%brick.AudioEmitter.getDatablock():0);
      %c=0;
      for(%i=0;%i<getFieldCount(%tags);%i++)
      {
         switch$(firstWord(getField(%tags,%i)))
         {
            case "LDB":if(!%light){%tags=setField(%tags,%i,"LDB "@%dbLight);%c=1;}
            case "EDB":if(!%emitter){%tags=setField(%tags,%i,"EDB "@%dbEmitter);%c=1;}
            case "IDB":if(!%item){%tags=setField(%tags,%i,"IDB "@%dbItem);%c=1;}
            case "VDB":if(!%vehicle){%tags=setField(%tags,%i,"VDB "@%dbVehicle);%c=1;}
            case "SDB":if(!%music){%tags=setField(%tags,%i,"SDB "@%dbAudio);%c=1;}
         }
      }
      Parent::servercmdSetWrenchData(%client,%tags);
   }
};
activatepackage(WrenchLimits);